For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • POSTCreate Order (Bank Transfer, Open Banking)
      • POSTConfirm Payment (Bank Transfer)
      • POSTCreate Widget URL (Cards, Apple Pay)
      • GETGet Active Orders
      • GETGet Orders
      • GETGet Order By ID
      • DELCancel Order
      • POSTDeprecated - Request OTT (Cards, Apple Pay)
Dashboard
LogoLogo
TRANSAK WHITELABEL APIOrders

Create Widget URL (Cards, Apple Pay)

||View as Markdown|
POST
https://api-gateway-stg.transak.com/api/v2/auth/session
POST
/api/v2/auth/session
$curl -X POST https://api-gateway-stg.transak.com/api/v2/auth/session \
> -H "authorization: " \
> -H "access-token: " \
> -H "Content-Type: application/json" \
> -d '{
> "widgetParams": {
> "apiKey": "a1b2c3d4e5f6g7h8i9j0",
> "referrerDomain": "partner.example.com",
> "cryptoCurrencyCode": "ETH",
> "fiatCurrency": "USD",
> "network": "ethereum",
> "fiatAmount": 40,
> "paymentMethod": "credit_card",
> "walletAddress": "0xAbC1234567890DefABC1234567890dEFaBc12345"
> }
>}'
1{
2 "data": {
3 "widgetUrl": "https://global-stg.transak.com?apiKey=a1b2c3d4e5f6g7h8i9j0&sessionId=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJvdHQiOiI2YzgxMDFiMjlhMzg0YWE2YmRjM2JjMmFkODA1M2YzMyIsImlhdCI6MTc1NzMyNTkwNywiZXhwIjoxNzU3Mz"
4 }
5}
This API creates a widgetUrl to securely store widget query parameters and authentication context. This facilitates secure widget interactions by encapsulating info in a sessionId. <Callout intent="note"> This API should be called only from the partner’s backend and subjected to the whitelisting of partner's IPs addresses. Direct API calls from the frontend apps are not supported. Each widgetUrl can be used only once and is valid only for 5 minutes from the time of creation. </Callout>
Was this page helpful?
Previous

Confirm Payment (Bank Transfer)

Next

Get Active Orders

Built with

This API creates a widgetUrl to securely store widget query parameters and authentication context. This facilitates secure widget interactions by encapsulating info in a sessionId.

This API should be called only from the partner’s backend and subjected to the whitelisting of partner’s IPs addresses. Direct API calls from the frontend apps are not supported.

Each widgetUrl can be used only once and is valid only for 5 minutes from the time of creation.

Headers

authorizationstringRequired

Authorization token is the accessToken received from the API - api/v2/auth/verify

access-tokenstringRequired

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Request

This endpoint expects an object.
widgetParamsobjectRequired

Transak Widget accepts query parameters as a JSON object. Below are some example query parameters.You can refer to the complete list of Transak Query Parametersfor more configuration options.

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error